Author Topic: Substance Plugin 4.18.0.26 Released  (Read 3756 times)

Overview:
This release brings Substance Live Link support to the Substance plugin for UE4. Further details and an explanation of the new workflow can be found in the video below.



Download Link:
https://www.dropbox.com/s/mpmhvkl0o9ndrkg/SubstanceUE4_Plugin_4.18.0.26.zip?dl=0

Notes:
An update has been sent to the Marketplace and we will add an update here when this new version of the plugin is available in the Marketplace. Alternatively, the most recent version of the plugin can be downloaded from the link above.
Software Engineer, Integrations
daniel.stover@allegorithmic.com

Howcome these arent on github anymore? That was handy.

Hi, Dan!

I installed Substance Painter 2017.4.0 and Unreal Engine 4.18.1
Plugin (from market http://joxi.ru/n2Yn9qRfoWQNYA)
http://joxi.ru/MAjGOx7F4NgMQr
when i choose asset and press right mouse button, i see "Send to substanse painter"
I click on this line
http://joxi.ru/n2Yn9qRfoWQV6A
Asset opens in the Substance Painter
https://clickscreen.ru/ac0264afe5.png
A new spp-file appears in this directory
http://joxi.ru/krD8B51sEVoLjr
When I try to draw in Substance - Unreal Engine crashing(((
http://joxi.ru/vAW49NRs15oKJr
http://joxi.ru/EA49B3nFwl6VLr

I tried to do this:

Changing the version to be explicit with the engine version:
1. Open the Substance.uplugin in your favorite text editor.
2. On the third line, there is a variable titled "VersionName". Change the first three numbers to be the explicit version of the engine you are using. It should currently read "4.17.0.25" which should be changed to "4.17.2.25".
3. Repeat the steps to reload the plugin within the plugins window within the editor.

And this:

In the case this does not solve the issue, this may be a result of the plugin already being built against an engine that is not compatible with the engine you are using.
To build the plugin using the custom engine:
1. Open the plugins folder and delete the following folders:
 - Binaries
 - Intermediate
2. Run Generate Project Files (Batch file if added to the engine or through the right-click context menu of a .uproject if added to a project)
3. Build the engine/project in the Development Editor configuration

But it didn't work(((
Can you help me?
P.S. sorry for my English

Does it work for other version of UE4?

Hello @Jaroslav41172,
Sorry for the late reply! The two solutions you tried are solutions for if the plugin will not load at all. The crash you are experiencing is something we haven't seen and have been unable to reproduce. Would you be able to send us your project?
My email is daniel.stover@allegorithmic.com  :D

Hello @shadowt56,
Currently, the plugin is not backward compatible. Live link is currently only available in 4.18 but will also be supported in future versions of the plugin.
Software Engineer, Integrations
daniel.stover@allegorithmic.com

Hi!
Is there any way to use the opacity channel with the UE4 live link?
When I change to the "PBR with alpha blending" shader, it becomes completely black in UE4.
Last Edit: December 11, 2017, 09:17:17 am

for Jaroslav41172,

I had this problem of UE4 crashing and I solved it by assigning a material to the mesh first before importing to UE4.

Howcome these arent on github anymore? That was handy.

I've run into a bug that I've fixed on my end using the source, so if the github repo still exists somewhere i can submit a pull request.

Will there be an update with compression settings/options? For some instances compression is very welcome and not bad, but for some we need as high quality as we can get. Now the compression settings are unavailable.